
TYPO3.Fluid - Bug # 9210

Status: Rejected Priority: Won't have this time
Author: Felix Oertel Category: ViewHelpers
Created: 2010-08-09 Assigned To:
Updated: 2011-12-14 Due date: 2011-10-15
Has patch:
Affected Flow version:
Subject: imageViewHelper should not throw exception
Description

Hey guys,

i don't like the imageViewHelper to throw exceptions if an image is not found. it should behave like the underlying
cObj::getImgResource() and just don't do anything.

regards, foertel

Related issues:
related to TYPO3.Fluid - Feature # 9211: Improve ViewHelper exception handling Rejected 2010-08-09
related to Core - Bug # 61861: Frontend throws exception on missing image New 2014-09-24

History
#1 - 2010-08-09 12:37 - Felix Oertel
- File 9210.diff added

#2 - 2010-08-09 13:05 - Bastian Waidelich
- Project changed from Extbase MVC Framework to TYPO3.Fluid
- Target version deleted (Extbase 1.3.0beta1)

#3 - 2010-08-09 13:06 - Bastian Waidelich
- Category set to ViewHelpers
- Branch set to v4

#4 - 2010-08-09 13:08 - Felix Oertel

thanks a bunch ;-)

#5 - 2010-08-09 13:18 - Bastian Waidelich
- Status changed from New to Rejected
- Priority changed from Should have to Won't have this time

Currently all ViewHelper exceptions are catched and their message is outputted as string.
The corresponding code snippet in :

try {
    $output = call_user_func_array(array($viewHelper, 'render'), $renderMethodParameters);
} catch (Tx_Fluid_Core_ViewHelper_Exception $exception) {
        // @todo [BW] rethrow exception, log, ignore.. depending on the current context
    $output = $exception->getMessage();
}

As you can see, we're planing to improve the exception handling here. See #9211 for more details.

I'm closing this issue for now, feel free to reopen if you don't agree ;)

Files
9210.diff 676 Bytes 2010-08-09 Felix Oertel
